.digimon-details {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    background-color: #f0f0f0;
    padding: 20px;
  }

  .close-button {
    position: absolute;
    top: 10px;
    left: 10px;
    cursor: pointer;
  }
  
  .digimon-details-header {
    flex-basis: 100%;
    text-align: center;
  }
  
  .digimon-name {
    font-size: 24px;
    margin: 10px 0;
  }
  
  .digimon-id {
    font-size: 16px;
    color: #888;
  }
  
  .digimon-image img {
    max-width: 300px;
    border: 2px solid #333;
    border-radius: 5px;
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.3);
  }
  
  .digimon-info {
    flex-basis: 100%;
    margin-top: 20px;
  }
  
  .section-title {
    font-size: 20px;
    margin-top: 20px;
    border-bottom: 2px solid #333;
    padding-bottom: 5px;
  }
  
  .description {
    margin-top: 10px;
  }
  
  .digimon-section ul {
    list-style: none;
    padding: 0;
    margin: 0;
  }
  
  .digimon-section ul li {
    margin: 5px 0;
    font-size: 16px;
  }
  
  .evolutions {
    display: flex;
    flex-wrap: wrap;
  }
  
  .evolution {
    cursor: pointer;
    transition: transform 0.3s, opacity 0.3s;
    text-align: center;
    margin: 10px;
  }
  .evolution:hover {
    opacity: 0.7;
    transform: scale(1.1); 
  }
  
  .evolution img {
    max-width: 150px;
  }
  
  .evolution p {
    font-size: 16px;
  }
  
  /* Add any additional styling as needed */
  